const config = require('../../config/config.js')
const Http = require('../../utils/HttpBasics.js')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    userTop: '',
    withdrawNum: null,
    hideFlag: false,
    totalFee: '', //账户余额
  },
  setWithdrawNum(e) {
    this.setData({
      withdrawNum: e.detail.value
    })
  },
  showHid() {
    let re = /^(([1-9][0-9]*)|(([0]\.\d{1,2}|[1-9][0-9]*\.\d{1,2})))$/;
    if (re.test(this.data.withdrawNum)) {
      this.setData({
        hideFlag: true
      })
    } else {
      wx.showToast({
        title: '请输入正确金额（最多两位小数）',
        icon: "none",
        duration: 2000,
      })
    }
  },
  hid() {
    this.setData({
      hideFlag: false
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    if (options.money) {
      this.setData({
        totalFee: options.money,
        userTop: options.userTop,
        userName: options.userName
      })
    }
  },
  submit() {
    Http.post({
      url: config.api.userWithdraw,
      data: {
        totalFee: (this.data.withdrawNum) * 10 * 10
      }
    }).then(res => {
      wx.showToast({
        title: "提现申请已提交",
        icon: "none",
        duration: 2000,
        success: function() {
          setTimeout(() => {
            wx.navigateBack({
              delta: 1
            })
          }, 2000)
        }
      })
    }).catch(err => {
      wx.showToast({
        title: err.message,
        icon: "none",
        duration: 2000
      })
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  }
})